
From: Pat Gefre <pfg@sgi.com>

shubio.c cleanup



---

 25-akpm/arch/ia64/sn/io/sn2/shubio.c           |   18 ++----------------
 25-akpm/include/asm-ia64/sn/ioerror_handling.h |   12 ------------
 25-akpm/include/asm-ia64/sn/sgi.h              |    2 --
 3 files changed, 2 insertions(+), 30 deletions(-)

diff -puN arch/ia64/sn/io/sn2/shubio.c~sn23 arch/ia64/sn/io/sn2/shubio.c
--- 25/arch/ia64/sn/io/sn2/shubio.c~sn23	Thu Jan  8 15:18:57 2004
+++ 25-akpm/arch/ia64/sn/io/sn2/shubio.c	Thu Jan  8 15:18:57 2004
@@ -158,8 +158,6 @@ hub_ioerror_handler(
 	iopaddr_t 	p;
 	caddr_t 	cp;
 
-	IOERROR_DUMP("hub_ioerror_handler", error_code, mode, ioerror);
-
 	hubinfo_get(hub_v, &hinfo);
 
 	if (!hinfo){
@@ -285,8 +283,6 @@ hub_ioerror_handler(
 			IOERROR_SETVALUE(ioerror,widgetnum,widgetnum);
 			IOERROR_SETVALUE(ioerror,xtalkaddr,xtalkaddr);
 		} else {
-			IOERROR_DUMP("hub_ioerror_handler", error_code, 
-						mode, ioerror);
 			IOERR_PRINTF(printk(
 				"hub_ioerror_handler: Invalid address passed"));
 
@@ -306,11 +302,6 @@ hub_ioerror_handler(
 			 * widget is enabled.
 			 */
 			if (!is_widget_pio_enabled(ioerror)) {
-				if (error_state_get(hub_v) == 
-				    ERROR_STATE_ACTION)
-					ioerror_dump("No outbound widget"
-						     " access - ", 
-						     error_code, mode, ioerror);
 				return(IOERROR_HANDLED);
 			}
 		  
@@ -348,11 +339,6 @@ hub_ioerror_handler(
 			 */
 
 			if (!is_widget_pio_enabled(ioerror)) {
-				if (error_state_get(hub_v) == 
-				    ERROR_STATE_ACTION)
-					ioerror_dump("No outbound widget"
-						     " access - ", 
-						     error_code, mode, ioerror);
 				return(IOERROR_HANDLED);
 			}
 		  
@@ -476,7 +462,7 @@ error_return_code_t
 error_state_set(vertex_hdl_t v,error_state_t new_state)
 {
         error_state_t   old_state;
-        boolean_t       replace = B_TRUE;
+        int       replace = 1;
 
         /* Check if we have a valid hwgraph vertex */
         if ( v == (vertex_hdl_t)0 )
@@ -495,7 +481,7 @@ error_state_set(vertex_hdl_t v,error_sta
          * for this vertex.
          */
         if (v_error_state_get(v,old_state) != GRAPH_SUCCESS)
-                replace = B_FALSE;
+                replace = 0;
 
         if (v_error_state_set(v,new_state,replace) != GRAPH_SUCCESS) {
                 return(ERROR_RETURN_CODE_CANNOT_SET_STATE);
diff -puN include/asm-ia64/sn/ioerror_handling.h~sn23 include/asm-ia64/sn/ioerror_handling.h
--- 25/include/asm-ia64/sn/ioerror_handling.h~sn23	Thu Jan  8 15:18:57 2004
+++ 25-akpm/include/asm-ia64/sn/ioerror_handling.h	Thu Jan  8 15:18:57 2004
@@ -231,10 +231,6 @@ hwgraph_info_get_LBL(v, INFO_LBL_ERROR_S
 #define v_error_skip_env_clear(v)		\
 hwgraph_info_remove_LBL(v, INFO_LBL_ERROR_SKIP_ENV, 0)
 
-/* Skip point interfaces */
-extern error_return_code_t	error_skip_point_jump(vertex_hdl_t, boolean_t);
-extern error_return_code_t	error_skip_point_clear(vertex_hdl_t);
-
 /* REFERENCED */
 #if defined(CONFIG_SGI_IO_ERROR_HANDLING)
 
@@ -284,13 +280,5 @@ extern counter_t		error_retry_count_decr
 #define	IS_ERROR_INTR_CONTEXT(_ec)	((_ec & IOECODE_DMA) 		|| \
 					 (_ec == IOECODE_PIO_WRITE))
 
-/* Some convenience macros on device state. This state is accessed only 
- * thru the calls the io error handling layer.
- */
-#if defined(CONFIG_SGI_IO_ERROR_HANDLING)
-extern boolean_t		is_device_shutdown(vertex_hdl_t);
-#define IS_DEVICE_SHUTDOWN(_d) 	(is_device_shutdown(_d))
-#endif
-
 #endif /* __KERNEL__ */
 #endif /* _ASM_IA64_SN_IOERROR_HANDLING_H */
diff -puN include/asm-ia64/sn/sgi.h~sn23 include/asm-ia64/sn/sgi.h
--- 25/include/asm-ia64/sn/sgi.h~sn23	Thu Jan  8 15:18:57 2004
+++ 25-akpm/include/asm-ia64/sn/sgi.h	Thu Jan  8 15:18:57 2004
@@ -25,8 +25,6 @@ typedef hwgfs_handle_t vertex_hdl_t;
 #define MAXDEVNAME 256
 #endif
 
-typedef enum { B_FALSE, B_TRUE } boolean_t;
-
 
 /*
  * Possible return values from graph routines.

_
